Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353914 - [abrt] gitg: close(): gitg killed by SIGABRT
Summary: [abrt] gitg: close(): gitg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b8aa3b2cde85cf384dc435d071c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 11:52 UTC by Pierre Ossman
Modified: 2016-12-20 21:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:09:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: cgroup (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: core_backtrace (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: dso_list (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: environ (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: limits (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: maps (deleted)
2016-07-08 11:52 UTC, Pierre Ossman
no flags Details
File: mountinfo (deleted)
2016-07-08 11:53 UTC, Pierre Ossman
no flags Details
File: namespaces (deleted)
2016-07-08 11:53 UTC, Pierre Ossman
no flags Details
File: open_fds (deleted)
2016-07-08 11:53 UTC, Pierre Ossman
no flags Details
File: proc_pid_status (deleted)
2016-07-08 11:53 UTC, Pierre Ossman
no flags Details
File: var_log_messages (deleted)
2016-07-08 11:53 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2016-07-08 11:52:45 UTC
Description of problem:
Merely started gitg in my TigerVNC repo.

Version-Release number of selected component:
gitg-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gitg
crash_function: close
executable:     /usr/bin/gitg
global_pid:     8816
kernel:         4.5.7-200.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            210

Truncated backtrace:
Thread no. 19 (10 frames)
 #0 close at ../sysdeps/unix/syscall-template.S:84
 #1 WTF::RefCounted<WebKit::SharedMemory>::deref at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/RefCounted.h:146
 #2 WTF::derefIfNotNull<WebKit::SharedMemory> at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/PassRefPtr.h:42
 #3 WTF::RefPtr<WebKit::SharedMemory>::~RefPtr at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/RefPtr.h:59
 #4 WebKit::ShareableBitmap::~ShareableBitmap at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Shared/ShareableBitmap.cpp:135
 #5 WTF::RefCounted<WebKit::ShareableBitmap>::deref at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/RefCounted.h:146
 #6 WTF::derefIfNotNull<WebKit::ShareableBitmap> at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/PassRefPtr.h:42
 #7 WTF::RefPtr<WebKit::ShareableBitmap>::~RefPtr at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/RefPtr.h:59
 #8 WebKit::BackingStore::incorporateUpdate at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/UIProcess/BackingStore.cpp:52
 #9 WebKit::DrawingAreaProxyImpl::incorporateUpdate at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/UIProcess/DrawingAreaProxyImpl.cpp:230

Comment 1 Pierre Ossman 2016-07-08 11:52:50 UTC
Created attachment 1177650 [details]
File: backtrace

Comment 2 Pierre Ossman 2016-07-08 11:52:51 UTC
Created attachment 1177651 [details]
File: cgroup

Comment 3 Pierre Ossman 2016-07-08 11:52:52 UTC
Created attachment 1177652 [details]
File: core_backtrace

Comment 4 Pierre Ossman 2016-07-08 11:52:54 UTC
Created attachment 1177653 [details]
File: dso_list

Comment 5 Pierre Ossman 2016-07-08 11:52:55 UTC
Created attachment 1177654 [details]
File: environ

Comment 6 Pierre Ossman 2016-07-08 11:52:57 UTC
Created attachment 1177655 [details]
File: limits

Comment 7 Pierre Ossman 2016-07-08 11:52:59 UTC
Created attachment 1177656 [details]
File: maps

Comment 8 Pierre Ossman 2016-07-08 11:53:01 UTC
Created attachment 1177657 [details]
File: mountinfo

Comment 9 Pierre Ossman 2016-07-08 11:53:02 UTC
Created attachment 1177658 [details]
File: namespaces

Comment 10 Pierre Ossman 2016-07-08 11:53:03 UTC
Created attachment 1177659 [details]
File: open_fds

Comment 11 Pierre Ossman 2016-07-08 11:53:04 UTC
Created attachment 1177660 [details]
File: proc_pid_status

Comment 12 Pierre Ossman 2016-07-08 11:53:06 UTC
Created attachment 1177661 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-25 09:24:42 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 21:09:24 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.